Subject: bug#8706: 24.0.50; [PATCH] Function to build a URL query-string

From: Stefan Monnier <[email-masked]>
Date: Tue, 07 Jun 2011 15:12:14 -0300

> (url-parse-query-string "a=b&c=") -> (("c" "") ("a" "b"))

The question at hand is different and relates to what is returned by
(url-parse-query-string "a&c") which happens to be nil.  Not sure if
that's right, tho.

> Here's an updated patch which should correctly support everything
> url-parse-query-string produces.  I also updated it to allow empty
> keys, as this was fairly easy with the code refactored to support (key
> val val val) syntax.

> +symbols; if they are symbols, the string name will be used."
                                     ^^^^^^
                                     symbol

-- Stefan